HAIL (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.HAIL interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface HAIL

All Superinterfaces:
  JBossInvocationLayer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface HAIL

extends JBossInvocationLayer

HAIL

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getBufferSize()`
`int` | `getChunkSize()`
`java.lang.String` | `getClientSocketFactory()`
`java.lang.String` | `getConnectionFactoryJNDIRef()`
`boolean` | `getEnableTcpNoDelay()`
`boolean` | `getMasterNode()`
`long` | `getPingPeriod()`
`java.lang.String` | `getServerAddress()`
`int` | `getServerPort()`
`java.lang.String` | `getStateString()`
`java.lang.String` | `getXAConnectionFactoryJNDIRef()`
`boolean` | `hasBufferSize()`
`boolean` | `hasChunkSize()`
`boolean` | `hasClientSocketFactory()`
`boolean` | `hasConnectionFactoryJNDIRef()`
`boolean` | `hasEnableTcpNoDelay()`
`boolean` | `hasMasterNode()`
`boolean` | `hasPingPeriod()`
`boolean` | `hasServerAddress()`
`boolean` | `hasServerPort()`
`boolean` | `hasStateString()`
`boolean` | `hasXAConnectionFactoryJNDIRef()`
`void` | `setBufferSize(int size)`
`void` | `setChunkSize(int size)`
`void` | `setClientSocketFactory(java.lang.String factory)`
`void` | `setConnectionFactoryJNDIRef(java.lang.String reference)`
`void` | `setEnableTcpNoDelay(boolean delay)`
`void` | `setMasterNode(boolean node)`
`void` | `setPingPeriod(long period)`
`void` | `setServerAddress(java.lang.String reference)`
`void` | `setServerPort(int port)`
`void` | `setStateString(java.lang.String state)`
`void` | `setXAConnectionFactoryJNDIRef(java.lang.String reference)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.jboss.JBossInvocationLayer
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getBufferSize

    int getBufferSize()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBufferSize

    void setBufferSize(int size)

### hasBufferSize

    boolean hasBufferSize()

### getChunkSize

    int getChunkSize()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setChunkSize

    void setChunkSize(int size)

### hasChunkSize

    boolean hasChunkSize()

### getServerPort

    int getServerPort()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerPort

    void setServerPort(int port)

### hasServerPort

    boolean hasServerPort()

### getEnableTcpNoDelay

    boolean getEnableTcpNoDelay()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableTcpNoDelay

    void setEnableTcpNoDelay(boolean delay)

### hasEnableTcpNoDelay

    boolean hasEnableTcpNoDelay()

### getXAConnectionFactoryJNDIRef

    java.lang.String getXAConnectionFactoryJNDIRef()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setXAConnectionFactoryJNDIRef

    void setXAConnectionFactoryJNDIRef(java.lang.String reference)

### hasXAConnectionFactoryJNDIRef

    boolean hasXAConnectionFactoryJNDIRef()

### getServerAddress

    java.lang.String getServerAddress()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServerAddress

    void setServerAddress(java.lang.String reference)

### hasServerAddress

    boolean hasServerAddress()

### getConnectionFactoryJNDIRef

    java.lang.String getConnectionFactoryJNDIRef()
                                                 throws AttributeNotSetException

  Specified by:
    `getConnectionFactoryJNDIRef` in interface `JBossInvocationLayer`
  Throws:
    `AttributeNotSetException`

### setConnectionFactoryJNDIRef

    void setConnectionFactoryJNDIRef(java.lang.String reference)

  Specified by:
    `setConnectionFactoryJNDIRef` in interface `JBossInvocationLayer`

### hasConnectionFactoryJNDIRef

    boolean hasConnectionFactoryJNDIRef()

  Specified by:
    `hasConnectionFactoryJNDIRef` in interface `JBossInvocationLayer`

### getClientSocketFactory

    java.lang.String getClientSocketFactory()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClientSocketFactory

    void setClientSocketFactory(java.lang.String factory)

### hasClientSocketFactory

    boolean hasClientSocketFactory()

### getMasterNode

    boolean getMasterNode()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMasterNode

    void setMasterNode(boolean node)

### hasMasterNode

    boolean hasMasterNode()

### getPingPeriod

    long getPingPeriod()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPingPeriod

    void setPingPeriod(long period)

### hasPingPeriod

    boolean hasPingPeriod()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD